//This adds a Datlogger definition definition to BRE

using System;
using System.Windows.Forms;
using System.Collections;
using System.Drawing;

using bre20;
//css_reference ..\bre.exe;
//css_reference ..\Gauge.dll;

namespace BensScripts
{
	public class AnalyzerTest
	{
		child romWind;
		public static object AppliesTo(){return "pr3:pw0";}
		public static object ScriptTitle(){return "AnalyzerTest by Ben Ogle";}
		public object ScriptMain(params object[] args)
		{
			romWind = (child)args[1];
			//subscribe to the event
			romWind.subscribeToEvent("OnLogAnalyzerOpened", "BensScripts.AnalyzerTest.log_Opened");
			return null;
		}
		public object log_Opened(params object[] args)
		{	//when the logger is opened, then we add our rule
			romWind.addLogAnalyzerRule(new Analyzer());
			return null;
		}
	}//end class

	public class Analyzer: Rule
	{
		public Analyzer()
		{
		}
		public override void setupRule(Form frm)
		{}

		public override bool executeRule(Form frm)
		{return true;}

		public override bool updateRule(Form frm)
		{return true;}

		public override bool executeReplay(string[] keys, Hashtable values)
		{return true;}

		public override string modifiedFields(){return "test";}
	}
}